Bug 65456 - Provide visual clues in slidesorter for custom animation
Summary: Provide visual clues in slidesorter for custom animation
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: Other All
: medium enhancement
Assignee: Ciorba Edmond
QA Contact:
URL:
Whiteboard: target:4.2.0
Keywords: difficultyBeginner, easyHack, skillCpp
Depends on:
Blocks:
 
Reported: 2013-06-06 12:54 UTC by Thorsten Behrens (CIB)
Modified: 2015-12-15 23:35 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thorsten Behrens (CIB) 2013-06-06 12:54:39 UTC
Add a little icon, similar to the 'this slide has a slide transition', to the slide thumbnails in the Impress slidesorter.

Thusly, users can visually discern slides that show differently initially than in edit view.
Comment 1 Thorsten Behrens (CIB) 2013-06-06 13:16:05 UTC
Relevant code: PageObjectPainter::PaintTransitionEffect() in sd/source/ui/slidesorter/view/SlsPageObjectPainter.cxx, just reuse that for the custom animation, and put it at the opposite side of the thumbnail.

Instead of getTransitionType(), call getMainSequence() on the page.
Comment 2 Commit Notification 2013-06-25 11:29:11 UTC
Ciorba Edmond committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e5990a9dcd97c2231115eae83770f9e6e7e130e9

fdo#65456 - Provide visual clues in slidesorter for custom animation.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Robinson Tryon (qubit) 2015-12-15 23:35:20 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyBeginner SkillCpp )
[NinjaEdit]